%global _empty_manifest_terminate_build 0
Name:           python-glanceclient
Version:        2.17.1
Release:        2
Summary:        OpenStack Image API Client Library
License:        Apache-2.0
URL:            https://docs.openstack.org/python-glanceclient/latest/
Source0:        https://files.pythonhosted.org/packages/1e/66/9901a29e2c6c96ba59b0d03edfaf5eb3d0cfeb4f084c675bbf3b8fe97260/python-glanceclient-2.17.1.tar.gz
BuildArch:      noarch
%description
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API

%package -n python3-glanceclient
Summary:        OpenStack Image API Client Library
Provides:       python-glanceclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-prettytable
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-requests
BuildRequires:  python3-warlock
BuildRequires:  python3-six
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-wrapt
BuildRequires:  python3-pyOpenSSL
# General requires
Requires:       python3-pbr
Requires:       python3-prettytable
Requires:       python3-keystoneauth1
Requires:       python3-requests
Requires:       python3-warlock
Requires:       python3-six
Requires:       python3-oslo-utils
Requires:       python3-oslo-i18n
Requires:       python3-wrapt
Requires:       python3-pyOpenSSL
%description -n python3-glanceclient
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API

%package help
Summary:        OpenStack Image API Client Library
Provides:       python3-glanceclient-doc
%description help
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API

%prep
%autosetup -n python-glanceclient-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-glanceclient -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Nov 10 2021 OpenStack_SIG <openstack@openeuler.org> - 2.17.1-2
- Remove test part
* Mon Nov 08 2021 OpenStack_SIG <openstack@openeuler.org> - 2.17.1-1
- Downgrade package python3-glanceclient to version 2.17.1

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 3.3.0-2
- DESC: delete -S git from %autosetup

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 3.3.0-1
- Update to 3.3.0

* Sat Feb 20 2021 wangxiyuan <wangxiyuan1007@gmail.com>
- Fix Package Provides Issue

* Wed Jan 06 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
